Deprecate stack profile version
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"channel": "<string>",
"changelog": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deprecation": {
"reason": "incompatibility",
"note": "<string>",
"references": [
"<string>"
],
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecated_by_user_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
Deprecate stack profile version
POST
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
versions
/
{version}
/
deprecation
Deprecate stack profile version
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/versions/{version}/deprecation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"channel": "<string>",
"changelog": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deprecation": {
"reason": "incompatibility",
"note": "<string>",
"references": [
"<string>"
],
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecated_by_user_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Why the version must not be deployed any more.
Available options:
incompatibility, critical_bug, cve Free text shown to anyone who tries to deploy the version, for example which version fixes the problem.
Maximum string length:
2000CVE identifiers or advisory URLs the deprecation relates to.
Maximum array length:
20Maximum string length:
200Response
Profile version deprecated
The withdrawal notice; null while the version is deployable.
Show child attributes
Show child attributes